/* $Id: Debugprint.java 389 2011-10-09 23:57:04Z minao $ */
package smart_gs.debugprint;

import smart_gs.GSVersion;

public class Debugprint {

	private static String CLASS_NAME;
	
	public static void message(Object obj) {
		if (GSVersion.isReleasedVersion()) return;
		System.out.println("  " + obj + " ("+CLASS_NAME+")");		
	}
	public static void className(String className) {
		if (GSVersion.isReleasedVersion()) return;
		CLASS_NAME = className + "";
		System.out.println("debug print from " + className);
	}
	
}
